# open test when support freezegun in the future
%bcond_with tests

Summary:        Library to provide visual progress to long running operations
Name:           python-progressbar2
Version:        4.2.0
Release:        3%{?dist}
License:        BSD
URL:            https://pypi.python.org/pypi/progressbar2
Source0:        https://files.pythonhosted.org/packages/source/p/progressbar2/progressbar2-%{version}.tar.gz

BuildRequires:  python3-devel

BuildArch:      noarch

%description
A text progress bar is typically used to display the progress of a long running
operation, providing a visual cue that processing is underway.

%package -n     python3-progressbar2
Summary:        Library to provide visual progress to long running operations
Requires:       %{py3_dist python-utils}
Requires:       %{py3_dist six}
BuildRequires:  %{py3_dist python-utils}
BuildRequires:  %{py3_dist six}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist pytest}
%if %{with tests}
BuildRequires:  %{py3_dist freezegun}
%endif

Provides:       python3-progressbar == %{version}
Provides:       python-progressbar2 = %{version}-%{release}
Provides:       python%{python3_version}-progressbar2 = %{version}-%{release}

%description -n python3-progressbar2
A text progress bar is typically used to display the progress of a long running
operation, providing a visual cue that processing is underway.

The ProgressBar class manages the current progress, and the format of the line
is given by a number of widgets.

The progressbar module is very easy to use, yet very powerful. It will also
automatically enable features like auto-resizing when the system supports it.

%prep
%autosetup -n progressbar2-%{version} -p1
rm -rfv progressbar2.egg-info

find . -name '*.pyc' -print -delete
find . -name '*.swp' -print -delete
rm -rfv tests/__pycache__/
sed -i -E '/--(no-)?cov/d' pytest.ini

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
PYTHONPATH=. %pytest tests
%endif

%files -n python3-progressbar2
%license LICENSE
%doc README.rst CHANGES.rst CONTRIBUTING.rst
%{python3_sitelib}/progressbar2-%{version}-py3.*.egg-info/
%{python3_sitelib}/progressbar

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.0-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.0-2
- Rebuilt for loongarch release

* Fri Sep 22 2023 Wang Guodong <gordonwwang@tencent.com> - 4.2.0-1
- Upgrade to version 4.2.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.53.3-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.53.3-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.53.3-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.53.3-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 29 2022 Yi Lin <abushwang@tencent.com> - 3.53.3-2
- fix dist macro.

* Thu Sep 15 2022 Shuo Wang <abushwang@tencent.com> - 3.53.3-1
- initial build
